gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-grid5k] 146/189: update recovery


From: gnunet
Subject: [taler-grid5k] 146/189: update recovery
Date: Thu, 28 Apr 2022 10:48:36 +0200

This is an automated email from the git hooks/post-receive script.

marco-boss pushed a commit to branch master
in repository grid5k.

commit fbe699174875d976b233a67bdb6c094cdf01c3e5
Author: Boss Marco <bossm8@bfh.ch>
AuthorDate: Wed Apr 13 13:06:52 2022 +0200

    update recovery
---
 additional/recover/docker-compose.yaml | 8 ++++----
 additional/recover/run.sh              | 5 ++++-
 2 files changed, 8 insertions(+), 5 deletions(-)

diff --git a/additional/recover/docker-compose.yaml 
b/additional/recover/docker-compose.yaml
index e117b2b..27655f8 100644
--- a/additional/recover/docker-compose.yaml
+++ b/additional/recover/docker-compose.yaml
@@ -16,7 +16,7 @@ services:
 
   grafana:
     hostname: grafana
-    image: grafana/grafana:latest
+    image: grafana/grafana-oss:8.4.6
     restart: 'no'
     container_name: grafana
     user: "${U_ID}:${G_ID}"
@@ -37,20 +37,20 @@ services:
       GF_RENDERING_CALLBACK_URL: 'http://grafana:3000/'
       GF_LIVE_ALLOWED_ORIGINS: 'http://grafana:3000'
     ports:
-      - "80:3000"
+      - "8080:3000"
     volumes:
       - ${PWD}/assets/grafana/provisioning:/etc/grafana/provisioning
       - ${DASHBOARDS_DIR}:/etc/taler/dashboards
 
   renderer:
-    image: grafana/grafana-image-renderer:latest
+    image: grafana/grafana-image-renderer:3.4.2
     restart: 'no'
     hostname: grafana-renderer
     container_name: grafana-renderer
 
   loki:
     hostname: loki
-    image: grafana/loki:latest
+    image: grafana/loki:2.5.0
     restart: 'no'
     container_name: loki
     user: "${U_ID}:${G_ID}"
diff --git a/additional/recover/run.sh b/additional/recover/run.sh
index 0a7459c..07c2854 100755
--- a/additional/recover/run.sh
+++ b/additional/recover/run.sh
@@ -18,6 +18,7 @@ export DASHBOARDS_DIR="${TMP_BASEDIR}/dashboards"
 EXP_DATA=${1}
 
 if file ${EXP_DATA} | grep -q 'tar archive'; then
+  # Extract the exp-data dir from the persist archive
   G5K_ARCHIVE=$(tar -t -f ${EXP_DATA} | grep 'g5k')
   tar -xvf ${EXP_DATA} -C /tmp ${G5K_ARCHIVE} 
   tar -xvf /tmp/${G5K_ARCHIVE} -C /tmp exp-data 
@@ -43,7 +44,7 @@ export G_ID=$(id -g)
 function startup() {
 
   # prepare the dashboards for grafana
-  # need to replace the DS_PROMETHEUS placeholder which is created when
+  # need to replace the DS_PROMETHEUS/DS_LOKI placeholders which are created 
when
   # exporting and set the timestamps that it works out of the box without
   # having to search for the experiment time in the browser
   for FILE in $(find ../grafana -iname "*json") 
@@ -71,4 +72,6 @@ function ctrl_c() {
 trap ctrl_c INT
 
 startup
+echo "Instances running, please head to http://localhost:8080";
+xdg-open http://localhost:8080 || true
 wait

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]